CHFN(1)

NAME
chfn - ändert den vollständigen Namen und sonstige Informationen zum Benutzer

ÜBERSICHT

chfn [options] [LOGIN]

BESCHREIBUNG

The chfn command changes user fullname, office room number, office phone number, and home phone number information for a user's account. This information is typically printed by finger(1) and similar programs. A normal user may only change the fields for her own account, subject to the restrictions in /etc/login.defs. (The default configuration is to prevent users from changing their fullname.) The superuser may change any field for any account. Additionally, only the superuser may use the -o option to change the undefined portions of the GECOS field.

These fields must not contain any colons. Except for the other field, they should not contain any comma or equal sign. It is also recommended to avoid non-US-ASCII characters, but this is only enforced for the phone numbers. The other field is used to store accounting information used by other applications.

OPTIONEN

The options which apply to the chfn command are:

-f, --full-name FULL_NAME
    ändert den vollständigen Namen des Benutzers.

-h, --home-phone HOME_PHONE
    ändert die private Telefonnummer des Benutzers.

-o, --other OTHER
    ändert sonstige GECOS-Informationen über den Benutzer. In diesem Feld werden Kontoinformationen anderer Anwendungen gespeichert. Es kann nur vom Systemadministrator verändert werden.

-r, --room ROOM_NUMBER
    ändert die Raumnummer des Benutzers.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-u, --help
    zeigt die Hilfe an und beendet das Programm.

-w, --work-phone WORK_PHONE
    ändert die berufliche Telefonnummer des Benutzers.

If none of the options are selected, chfn operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks. Without options, chfn prompts for the current user account.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/login.defs
    konfiguriert die Shadow-Hilfsprogramme.

/etc/passwd
    Informationen zu den Benutzerkonten

SIEHE AUCH

chsh(1), login.defs(5), passwd(5).